%global python3_pkgversion 3.11
Name:           python-pathspec
Version:        0.12.1
Release:        2.ac%{?dist}
Summary:        Utility library for gitignore style pattern matching of file paths

License:        MPL-2.0
URL:            https://github.com/cpburnz/python-path-specification
Source:         %{pypi_source pathspec}

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest


%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%package -n     python%{python3_pkgversion}-pathspec
Summary:        %{summary}

%description -n python%{python3_pkgversion}-pathspec
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%autosetup -n pathspec-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pathspec


%check
%pytest


%files -n python%{python3_pkgversion}-pathspec -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Wed Mar 13 2024 Ding-Yi Chen <dingyichen@gmail.com> -  0.12.1-2.ac
 - Package
